Page MenuHomePhabricator

[RISCV] Add SH*ADD(.UW) instructions to Zba extension based on 0.93 bitmanip spec.
ClosedPublic

Authored by craig.topper on Jan 13 2021, 2:31 PM.

Diff Detail

Event Timeline

craig.topper created this revision.Jan 13 2021, 2:31 PM
craig.topper requested review of this revision.Jan 13 2021, 2:31 PM
Herald added a project: Restricted Project. · View Herald TranscriptJan 13 2021, 2:31 PM
Herald added a subscriber: MaskRay. · View Herald Transcript
lenary resigned from this revision.Jan 14 2021, 9:22 AM
frasercrmck accepted this revision.Jan 20 2021, 3:42 AM

LGTM. I take it the patterns can come later?

This revision is now accepted and ready to land.Jan 20 2021, 3:42 AM

LGTM. I take it the patterns can come later?

I was trying to get through the MC layer changes hoping to intercept the LLVM 12 branch. I might go add them now that I think all the patches are done.

asb accepted this revision.Jan 21 2021, 7:27 AM

Not a blocker as I think this is just something that bitmanip has been less complete with vs the standard extensions, and you're just the last person to touch this, but we should probably be testing that rv32zba rejects rv64-only instructions and that rv64zba accepts the rv32 instructions. See rv64f-valid.s and rv32f-valid.s.